Package rdkit :: Package Chem :: Module Lipinski

[hide private]
[frames] | no frames]

# Module Lipinski

source code

    Calculation of Lipinski parameters for molecules

Functions | [hide private]

_NumMatches(mol, smarts) | source code

HeavyAtomCount(mol) Number of heavy atoms a molecule. | source code

Variables | [hide private]

| HDonorSmarts = `Chem.MolFromSmarts('[$([N;!H0;v3]),$([N;!H0;+1;`...``
| HAcceptorSmarts = `Chem.MolFromSmarts('[$([O,S;H1;v2]-[!$(*=[O,`...``
| HeteroatomSmarts = `Chem.MolFromSmarts('[!#6;!#1]')`
| RotatableBondSmarts = `Chem.MolFromSmarts('[!$(*#*)&!D1]-&!@[!$`...``
| NHOHSmarts = `Chem.MolFromSmarts('[#8H1,#7H1,#7H2,#7H3]')`
| NOCountSmarts = `Chem.MolFromSmarts('[#7,#8]')`
| NumHDonors = `lambda x:`
| _HDonors
| NumHAcceptors = `lambda x:`
| _HAcceptors
| NumHeteroatoms = `lambda x:`
| _Heteroatoms
| NumRotatableBonds = `lambda x:`
| _RotatableBonds
| NOCount = `lambda x:`
| NHOHCount = `lambda x:`
| RingCount = `lambda x:`
| _bulkConvert = `"CalcFractionCSP3", "CalcNumAromaticRings", "Ca`...``

Imports: Chem, rdMolDescriptors

Variables Details | [hide private]

### HDonorSmarts

Value:

      Chem.MolFromSmarts('[$([N;!H0;v3]),$([N;!H0;+1;v4]),$([O,S;H1;+0]),$([
      n;H1;+0])]')

### HAcceptorSmarts

Value:

      Chem.MolFromSmarts('[$([O,S;H1;v2]-[!$(*=[O,N,P,S])]),\
      $([O,S;H0;v2]),$([O,S;-]),\
      $([N;v3;!$(N-*=!@[O,N,P,S])]),\
      $([nH0,o,s;+0])\
      ]')

### RotatableBondSmarts

Value:

      Chem.MolFromSmarts('[!$(*#*)&!D1]-&!@[!$(*#*)&!D1]')

### _bulkConvert

Value:

      "CalcFractionCSP3", "CalcNumAromaticRings", "CalcNumSaturatedRings", "
      CalcNumAromaticHeterocycles", "CalcNumAromaticCarbocycles", "CalcNumSa
      turatedHeterocycles", "CalcNumSaturatedCarbocycles", "CalcNumAliphatic
      Rings", "CalcNumAliphaticHeterocycles", "CalcNumAliphaticCarbocycles"